Resent-Date: Thu, 4 Feb 1999 01:01:05 +0100 (MET)
Date: Thu, 4 Feb 1999 00:01:25 +0000
From: Richard Hirst <richard@sleepie.demon.co.uk>
To: linux-m68k@lists.linux-m68k.org
Subject: 2.2.0pre7: transp_transl_matches broken?
Resent-From: linux-m68k@phil.uni-sb.de

Hi,
  transp_transl_matches() seems to be broken for addresses with
any of the lower 24 bits set.  This hasn't changed recently; I
havn't worked out why it has suddenly bitten me.

My 030 Tadpole VME board now boots 2.2.0pre7, but ethernet still
doesn't work (did in pre4) - probably my problem in 82596.c.

Richard


--- 220p7-tp34v/arch/m68k/mm/memory.c-	Wed Feb  3 23:43:08 1999
+++ 220p7-tp34v/arch/m68k/mm/memory.c	Wed Feb  3 23:43:23 1999
@@ -226,7 +226,7 @@
 
     /* address match? */
     base = regval & 0xff000000;
-    mask = ~((regval << 8) & 0xff000000);
+    mask = ~(regval << 8) & 0xff000000;
     return( (vaddr & mask) == (base & mask) );
 }
 

